Bug 664239 - system-config-httpd breaks apache if setting what to Listen
Summary: system-config-httpd breaks apache if setting what to Listen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-httpd
Version: 14
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-19 13:41 UTC by Heldwin
Modified: 2015-03-05 01:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:49:58 UTC
Type: ---


Attachments (Terms of Use)

Description Heldwin 2010-12-19 13:41:46 UTC
Description of problem:

If you tell system-config-httpd to listen to an ip address, but on the default port 80, apache will not start because there is already a Listen 80 by default in httpd.conf. Then the Listen *:80 system-config-httpd will add will be in conflict with the Listen 80 of httpd.conf .

system-config-httpd doesn't seem to look if there is already a Listen in httpd.conf corresponding to the one it will add.

When trying to start httpd, you will get:
(98)Address already in use: make_sock: could not bind to address [::]:80
                                                                 [  OK  ]

But a: service httpd status will tell it died, but subsys was not locked.

If you told it to only listen on your ip, you will get:
(99)Cannot assign requested address: make_sock: could not bind to address xxx.xxx.xxx.xxx:80
No listening sockets available, shutting down
Unable to open logs
                                                                [FAILED]

Version-Release number of selected component (if applicable):

system-config-httpd-1.5.2-2.fc14.noarch

How reproducible:

Always

Steps to Reproduce:
1. Install httpd and system-config-httpd
2. Start system-config-httpd, set it to listen to all addresses or your ip but do not change the port (80)
3. Save and quit
4. Start httpd
  
Actual results:

httpd die or doesn't want to start.

Expected results:

httpd starts.

Additional info:

Comment 1 Fedora End Of Life 2012-08-16 19:50:00 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.